# Account Updater

## Overview <a href="#accountupdater-howitworks" id="accountupdater-howitworks"></a>

Sola Account Updater identifies customer cards that have expired or are inactive, and then obtains the new card information from the bank. This information is returned to Sola within 10 days of the initial request, at which point it is stored and applied towards any subsequent transactions that are attempted using the previous card (using either the actual data or a Cardknox token).

When a subsequent transaction is processed using updated card information, Sola will indicate this by including `xIsUpdatedCard = True` in the transaction responses. The data returned in `xMaskedCardNumber` and `xExp` will also reflect the updated information, when applicable.

## Recurring Billing <a href="#recurring-billing" id="recurring-billing"></a>

Because Account Updater does not provide updated card information instantaneously, we recommend that Merchants wait 5-10 days before retrying a declined transaction in order to ensure that the updated card information is available. In the case of a recurring payment, note that declined recurring payments are retried once a day for 5 consecutive days, and it's very likely that updated card information will be received and successfully retried within this timeframe.

## Reporting <a href="#accountupdater-reporting" id="accountupdater-reporting"></a>

When a transaction utilizes Account updater, this is indicated in the reporting in the `xCardSource` field (as `xIsUpdatedCard = True`).

`xCardSource = incoming` represents transactions processed with original card data.&#x20;

`xCardSource = account` represents transactions that were processed using updated card info from Account Updater.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solapayments.com/products/account-updater.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
